<nz-card [nzTitle]="'Economy.Trade.yourInventory' | translate" nzSize="small" style="width: 100%">
  <nz-table #inventoryTable [nzData]="inventory" nzSize="small" [nzShowPagination]="true" [nzLoading]="isLoading">
    <thead>
      <tr>
        <th></th>
        <th nzAlign="center">{{ "Economy.Market.Amount" | translate }}</th>
        <th nzAlign="center">{{ "Common.Quality" | translate }}</th>
        <th nzAlign="center" nzWidth="30%"></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of inventoryTable.data">
        <td>
          <img src="{{ item.icon }}" width="30" height="30" style="margin-right: 5px" />
          {{ "Economy." + item.name | translate }}
        </td>
        <td nzAlign="center">{{ item.amount }}</td>
        <td nzAlign="center" [innerHtml]="item.quality | q"></td>
        <td nzAlign="center">
          <nz-input-group nzSearch [nzAddOnAfter]="suffixButton">
            <input type="number" nz-input placeholder="{{'Economy.Market.Amount' | translate }}" [(ngModel)]="item.providedAmount" />
          </nz-input-group>
          <ng-template #suffixButton>
            <button nz-button nzShape="round" nzType="primary" nzSearch (click)="addItem(item)">
              <i class="fas fa-plus"></i>
            </button>
          </ng-template>
        </td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>
